# xarray.Dataset.stack

`Dataset.``stack`(dimensions: Mapping[Hashable, Sequence[Hashable]] = None, **dimensions_kwargs) → xarray.core.dataset.Dataset

  Stack any number of existing dimensions into a single new dimension.

  New dimensions will be added at the end, and the corresponding coordinate variables will be combined into a MultiIndex.

  Parameters:

  - dimensions (Mapping of the form new_name=(dim1, dim2, ..)) – Names of new dimensions, and the existing dimensions that they replace.
  - **dimensions_kwargs – The keyword arguments form of `dimensions`. One of dimensions or dimensions_kwargs must be provided.

  Returns: | stacked – Dataset with stacked data.
  Return type: | Dataset

  See also

  `Dataset.unstack()`